Skip to main content
GET
/
v1
/
analytics
/
taps
/
individual
/
{slug}
Get analytics for a specific short url
curl --request GET \
  --url https://api.oneofnone.io/v1/analytics/taps/individual/{slug} \
  --header 'x-api-key: <api-key>'
{
  "meta": [
    {
      "name": "<string>",
      "type": "<string>"
    }
  ],
  "data": [
    {
      "date": "2023-12-25",
      "country_code": "<string>",
      "region_code": "<string>",
      "device": "<string>",
      "browser": "<string>",
      "os": "<string>",
      "total_taps": 1,
      "unique_users": 1
    }
  ],
  "rows": 123,
  "statistics": {
    "elapsed": 123,
    "rows_read": 123,
    "bytes_read": 123
  }
}

Authorizations

x-api-key
string
header
required

The API key required for accessing protected routes. It should be included in the request headers as x-api-key.

Path Parameters

slug
string
required

The short URL slug to fetch individual tap analytics for.

Response

Successfully fetched tap analytics for the specified short URL.

Tinybird response envelope for taps/individual.

meta
object[]
required
data
object[]
required
rows
integer
required
statistics
object
required

Query execution statistics returned in every Tinybird API response.